Unity launcher gets visible while screensaver is active

Bug #771391 reported by Alexander Kallenbach on 2011-04-26
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Sam Spilsbury
compiz (Ubuntu)
High
Unassigned
Natty
High
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: unity

Install compiz 1:0.9.4+bzr20110531-0ubuntu1 from natty-proposed:
Test case:
                1) bzr branch lp:~smspillaz/+junk/stackingtest
                2) run it with ./stackingtest --spew 1 1 1 100
                3) Lock the screen
                4) Panels / windows should not appear on top of the locked screen

The screensaver was active when the unity launcher got visible and stayed visible. The screensaver continued to show photos (I'm using the photo screensaver). I think it happened because Evolution asked for my email-password.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.10-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Ist ein Verzeichnis: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.41.06 Mon Apr 18 14:53:56 PDT 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,grid,resize,vpswitch,regex,gnomecompat,mousepoll,place,snap,wall,move,unitymtgrabhandles,animation,workarounds,session,expo,ezoom,staticswitcher,fade,scale,unityshell]
CompositorRunning: compiz
Date: Tue Apr 26 20:05:27 2011
DistUpgraded: Log time: 2011-04-07 13:16:28.530877
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 virtualbox-ose, 4.0.4, 2.6.38-8-generic, x86_64: installed (WARNING! Diff between built and installed module!) (WARNING! Diff between built and installed module!)
 vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed (WARNING! Diff between built and installed module!)
 nvidia-current, 270.41.06, 2.6.38-8-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation G96 [GeForce 9500 GS] [10de:0644] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Device [1b0a:901a]
JockeyStatus:
 xorg:nvidia_173 - Beschleunigter Grafiktreiber von NVIDIA (Proprietär, Deaktiviert, Nicht in Benutzung)
 xorg:nvidia_current - Beschleunigter Grafiktreiber von NVIDIA (Proprietär, Aktiviert, Nicht in Benutzung)
MachineType: System manufacturer System Product Name
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=2b8662c4-a153-4b83-b732-17f4bd99e945 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.42-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2011-04-19 (7 days ago)
dmi.bios.date: 10/16/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS IPN73-BA ACPI BIOS Revision 0105 Targa
dmi.board.name: IPN73-BA
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSIPN73-BAACPIBIOSRevision0105Targa:bd10/16/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnIPN73-BA:rvr1.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz N/A
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Didier Roche (didrocks) wrote :

Setting to SRU1. It's a compiz issue last time we discussed. Confirming because Michael confirmed it for the panel and it can be seen as a security issue as anyone can see by this way which apps are opened and such (hence the high priority).

affects: unity (Ubuntu) → compiz (Ubuntu)
Changed in compiz (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in unity:
status: New → Confirmed
importance: Undecided → High
Changed in compiz (Ubuntu):
importance: Medium → High
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → 3.8.14

I have experienced this yesterday with blank screen screensaver, but after a restart was blanks screen worked OK.
It's one of those random bugs...

Changed in compiz (Ubuntu Natty):
milestone: none → natty-updates
status: Confirmed → Triaged
Didier Roche (didrocks) on 2011-04-28
Changed in unity (Ubuntu Natty):
status: New → Confirmed
tekstr1der (tekstr1der) wrote :

Consistently, each time this bug has cropped up for me, I am able to unlock the screen and stop the screensaver, yet...

Once back at the desktop, the unity dock and global menu flicker continuously and the panel casts a large black shadow over any application's file menu labels.

To rectify the situation, I need to restart compiz. Is the behavior I've described consistent with this bug? Or, should I file a separate bug against unity or compiz?

Sam_ (and-sam) wrote :

Reproducable with 3.8.12-0ubuntu1.
Resume from suspend, launcher and panel are displayed on top of screensaver (GLText).

Changed in unity:
status: Confirmed → Fix Committed
Changed in compiz (Ubuntu):
status: Triaged → Fix Committed
Changed in compiz (Ubuntu Natty):
status: Triaged → Fix Committed
Changed in unity (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity (Ubuntu Natty):
status: Confirmed → Fix Committed
David Barth (dbarth) on 2011-05-31
Changed in unity:
milestone: 3.8.14 → 3.8.16
Didier Roche (didrocks) on 2011-06-01
Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110606-0ubuntu1

---------------
compiz (1:0.9.4+bzr20110606-0ubuntu1) oneiric; urgency=low

  * New bug fix release:
    - Switcher window borders are not properly unmapped with
      (unity|gtk)-window-decorator (LP: #789580)
    - maximized window is displaced (LP: #772612)
    - Unity launcher gets visible while screensaver is active (LP: #771391)
    - 1 pixel icons in notification-area-applet when compiz is the windows
      manager (LP: #767095)
  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - removed: upstream
 -- Didier Roche <email address hidden> Mon, 06 Jun 2011 16:18:08 +0200

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released

Accepted compiz into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110606-0ubuntu1~natty1

---------------
compiz (1:0.9.4+bzr20110606-0ubuntu1~natty1) natty-proposed; urgency=low

  * New bug fix release:
    - Switcher window borders are not properly unmapped with
      (unity|gtk)-window-decorator (LP: #789580)
    - maximized window is displaced (LP: #772612)
    - Unity launcher gets visible while screensaver is active (LP: #771391)
    - 1 pixel icons in notification-area-applet when compiz is the windows
      manager (LP: #767095)
  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - removed: upstream
 -- Didier Roche <email address hidden> Wed, 01 Jun 2011 10:23:26 +0200

Changed in compiz (Ubuntu Natty):
status: Fix Committed → Fix Released
Andre (ajx) wrote :

This bug reappears in Oneiric and Precise: Bug #886605

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers